Package com.io7m.waxmill.xml.vm.v1

# Class WXM1PinCPUs.Builder

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXM1PinCPUs.Builder

Enclosing class:
  WXM1PinCPUs

    public static final class WXM1PinCPUs.Builder
    extends java.lang.Object

Builds instances of type `WXM1PinCPUs`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXM1PinCPUs.Builder` | `addAllCpus​(java.lang.Iterable<? extends WXMPinCPU> elements)` | Adds elements to `cpus` list.
  `WXM1PinCPUs.Builder` | `addCpus​(WXMPinCPU element)` | Adds one element to `cpus` list.
  `WXM1PinCPUs.Builder` | `addCpus​(WXMPinCPU... elements)` | Adds elements to `cpus` list.
  `WXM1PinCPUs` | `build()` | Builds a new `WXM1PinCPUs`.
  `WXM1PinCPUs.Builder` | `from​(WXM1PinCPUsType instance)` | Fill a builder with attribute values from the provided `WXM1PinCPUsType` instance.
  `WXM1PinCPUs.Builder` | `setCpus​(java.lang.Iterable<? extends WXMPinCPU> elements)` | Sets or replaces all elements for `cpus` list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXM1PinCPUs.Builder from​(WXM1PinCPUsType instance)
    Fill a builder with attribute values from the provided `WXM1PinCPUsType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addCpus

    public final WXM1PinCPUs.Builder addCpus​(WXMPinCPU element)
    Adds one element to `cpus` list.
    Parameters:
      `element` - A cpus element
    Returns:
      `this` builder for use in a chained invocation

  - ### addCpus

    public final WXM1PinCPUs.Builder addCpus​(WXMPinCPU... elements)
    Adds elements to `cpus` list.
    Parameters:
      `elements` - An array of cpus elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setCpus

    public final WXM1PinCPUs.Builder setCpus​(java.lang.Iterable<? extends WXMPinCPU> elements)
    Sets or replaces all elements for `cpus` list.
    Parameters:
      `elements` - An iterable of cpus elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllCpus

    public final WXM1PinCPUs.Builder addAllCpus​(java.lang.Iterable<? extends WXMPinCPU> elements)
    Adds elements to `cpus` list.
    Parameters:
      `elements` - An iterable of cpus elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXM1PinCPUs build()
    Builds a new `WXM1PinCPUs`.
    Returns:
      An immutable instance of WXM1PinCPUs
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing